import sys
import os
import utilities

# Add the SDK directory to PYTHONPATH using a relative path
script_dir = os.path.dirname(os.path.abspath(__file__))  # Current script directory
sdk_path = os.path.join(script_dir, '..', 'sdk')  # Go up one level and point to 'sdk'
sys.path.insert(0, sdk_path)
from sdk import capif_invoker_connector

def showcase_offboard_and_deregister_invoker():
    capif_connector = capif_invoker_connector(config_file=utilities.get_config_file())
    capif_connector.offboard_invoker()
    print("COMPLETED")
   
   
if __name__ == "__main__":
    showcase_offboard_and_deregister_invoker()
